Loading...
Searching...
No Matches
mutex.h File Reference

Mutex classes with clang thread safety annotation. More...

`#include <condition_variable>`
`#include <mutex>`
`#include <libcamera/base/private.h>`
`#include <libcamera/base/thread_annotations.h>`
Include dependency graph for mutex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::Mutex
| std::mutex wrapper with clang thread safety annotation More...
class | libcamera::MutexLocker
| std::unique_lock wrapper with clang thread safety annotation More...
class | libcamera::ConditionVariable
| std::condition_variable wrapper integrating with MutexLocker More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

Mutex classes with clang thread safety annotation.